<!-- style "layout/topbar.scss" -->

<nav class="navbar navbar-expand p-0">

    <!-- <ul class="navbar-nav px-4 nav-tabs tab-borderless">
        <li class="nav-item" [routerLink]="['/registro/residente']">
            <a class="nav-link">
                Residentes
            </a>
        </li>
        <li class="nav-item" [routerLink]="['/registro/residencia']">
            <a class="nav-link">
                Residencias
            </a>
        </li>
        <li class="nav-item" [routerLink]="['/administracion/usuario']">
            <a class="nav-link">
                Personal Administrativo
            </a>
        </li>
        <li class="nav-item dropdown" ngbDropdown>
            <a class="nav-link" ngbDropdownToggle>Otros</a>
            <div class="dropdown-menu nav-drop" ngbDropdownMenu>
                <a class="dropdown-item">More</a>
                <a class="dropdown-item">More</a>
                <a class="dropdown-item">More</a>
            </div>
        </li>
    </ul> -->
    <ul class="navbar-nav pl-3">
        <li class="nav-item">
            <a class="nav-link text-white" [routerLink]="['/']">
                <i class="mdi mdi-home-variant" style="font-size: 20px;"></i>
            </a>
            <a class="nav-link text-white font-xl" *ngFor="let item of breadcrumb; last as last" [routerLink]="item.route">
                <h6 class="m-0 d-inline-block">{{ item.title | titlecase }}</h6>
                <ng-template [ngIf]="!last">
                    <i class="mdi mdi-chevron-right mr-n3 ml-1 align-middle" style="font-size: 20px; line-height: 0;"></i>
                </ng-template>
            </a>
        </li>
    </ul>

    <ul class="navbar-nav ml-auto">
        <li class="nav-item">
            <div class="dropdown" ngbDropdown>
                <a class="nav-link no-caret c-pointer" ngbDropdownToggle>
                    <i class="mdi mdi-bell-outline c-pointer"></i>
                </a>
                <div class="dropdown-menu dropdown-menu-right dropdown-menu-lg pt-0 nav-drop" ngbDropdownMenu>
                    <span class="dropdown-item c-default">
                        <i class="mdi mdi-power-off text-muted dropdown-icon"></i>
                        <div class="dropdown-text w-100">
                            <b class="dropdown-title">Nueva visita</b>
                            <small class="font-xs float-right">Hace 6 dias</small>
                            <small class="dropdown-subtitle">Juan Garcia visita su residencia</small>
                        </div>
                    </span>
                    <span class="dropdown-item c-default">
                        <i class="mdi mdi-power-off text-muted dropdown-icon"></i>
                        <div class="dropdown-text w-100">
                            <b class="dropdown-title">Nueva visita</b>
                            <small class="font-xs float-right">Hace 3 min</small>
                            <small class="dropdown-subtitle">Juan Garcia visita su residencia</small>
                        </div>
                    </span>
                    <span class="dropdown-item c-default">
                        <i class="mdi mdi-power-off text-muted dropdown-icon"></i>
                        <div class="dropdown-text w-100">
                            <b class="dropdown-title">Nueva visita</b>
                            <small class="font-xs float-right">Hace 1 años</small>
                            <small class="dropdown-subtitle">Juan Garcia visita su residencia</small>
                        </div>
                    </span>
                    <span class="dropdown-item c-default">
                        <i class="mdi mdi-power-off text-muted dropdown-icon"></i>
                        <div class="dropdown-text w-100">
                            <b class="dropdown-title">Nueva visita</b>
                            <small class="font-xs float-right">Hace 1 años</small>
                            <small class="dropdown-subtitle">Juan Garcia visita su residencia</small>
                        </div>
                    </span>
                    <span class="dropdown-item dropdown-footer c-default bg-gray-100 border-top text-secondary">
                        <small>No hay mensajes nuevos</small>
                        <div class="dropdown-action ml-auto">
                            <i class="mdi mdi-settings mx-1 text-muted text-hover-info c-pointer"></i>
                        </div>
                    </span>
                </div>
            </div>
        </li>

        <!-- <li class="nav-item">
            <a class="nav-link">
                <i class="mdi mdi-bell-outline pointer"></i>
            </a>
        </li> -->

        <li class="nav-item dropdown profile" ngbDropdown>
            <a class="nav-link no-caret" ngbDropdownToggle>
                <div class="profile">
                    <img src="assets/img/user/2.jpg" alt="User" class="rounded-circle mr-2" width="31">
                </div>
            </a>
            <div class="dropdown-menu dropdown-menu-right pt-0 dropdown-menu-lg nav-drop" ngbDropdownMenu>
                <a class="dropdown-item d-flex align-items-center">
                    <div class="profile-img mr-1">
                        <img src="assets/img/user/2.jpg" alt="User" class="rounded-circle" width="50">
                    </div>
                    <div class="ml-auto mr-2 text-right mt-n1">
                        <span class="font-weight-bold font-lg">{{ userInfo.unique_name }}</span>
                        <div class="d-block font-xs">{{ role[userInfo.role] }}</div>
                    </div>
                    <div class="bg-dark px-1 py-2 rounded-left mr-n3 text-right" style="height: 50px;">
                    </div>
                </a>

                <a class="dropdown-item" (click)="perfil.open()">
                    <i class="mdi mdi-account dropdown-icon text-success"></i> 
                    <div class="dropdown-text">
                        <b class="dropdown-title">Perfil</b>
                        <small class="dropdown-subtitle">
                            Configura tu perfil
                        </small>
                    </div>
                </a>    
                <!-- <a class="dropdown-item">  
                  <i class="mdi mdi-settings dropdown-icon text-info"></i>  
                    <div class="dropdown-text">
                        <b class="dropdown-title">Opciones</b>
                        <small class="dropdown-subtitle">Ajustes de aplicacion</small>
                    </div>
                </a> -->
                <!-- <a class="dropdown-item">  
                  <i class="mdi mdi-account-circle dropdown-icon text-orange"></i>    
                    <div class="dropdown-text">
                        <b class="dropdown-title">Opciones avanzadas</b>
                        <small class="dropdown-subtitle">Edita tu opciones avanzadas</small>  
                    </div>
                </a> -->
                <span class="dropdown-item dropdown-footer c-default bg-gray-100 border-top text-secondary">
                    <small>Perfil</small>
                    <div class="dropdown-action ml-auto">
                        <i class="mdi mdi-power c-pointer mx-1 font-lg text-muted text-hover-danger" ngbTooltip="Salir"
                            (click)="service.logout()"></i>
                    </div>
                </span>
            </div>
        </li>
    </ul>
</nav>

<app-perfil #perfil [service]="service"></app-perfil>

